Company Balance Sheet
curl --request POST \
--url https://api.reportify.cn/v1/stock/company-balance-sheet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"period": "<string>",
"limit": 123,
"start_date": "<string>",
"end_date": "<string>",
"calendar": "<string>",
"fiscal_year": "<string>",
"fiscal_quarter": "<string>"
}
'import requests
url = "https://api.reportify.cn/v1/stock/company-balance-sheet"
payload = {
"symbol": "<string>",
"period": "<string>",
"limit": 123,
"start_date": "<string>",
"end_date": "<string>",
"calendar": "<string>",
"fiscal_year": "<string>",
"fiscal_quarter": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
symbol: '<string>',
period: '<string>',
limit: 123,
start_date: '<string>',
end_date: '<string>',
calendar: '<string>',
fiscal_year: '<string>',
fiscal_quarter: '<string>'
})
};
fetch('https://api.reportify.cn/v1/stock/company-balance-sheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"code": 123,
"message": "<string>",
"data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}财务数据
Company Balance Sheet
Current and historical balance sheet of publicly listed companies
POST
/
v1
/
stock
/
company-balance-sheet
Company Balance Sheet
资产负债表
URL:/v1/stock/company-balance-sheet
方法: POST描述: 获取公司资产负债表数据。
请求参数
| 参数名 | 类型 | 必填 | 描述 |
|---|---|---|---|
| symbol | str | 是 | 股票代码。 |
| period | str | 否 | 报告周期:annual、quarterly。 |
| limit | int | 否 | 返回最近 N 条记录,默认 8。 |
| start_date | str | 否 | 开始日期(YYYY-MM-DD)。 |
| end_date | str | 否 | 结束日期(YYYY-MM-DD)。 |
| calendar | str | 否 | calendar 或 fiscal,默认 fiscal。 |
| fiscal_year | str | 否 | 指定财年(如 2023)。 |
| fiscal_quarter | str | 否 | 指定财季(Q1, Q2, Q3, Q4, FY)。 |
响应参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| status | int | HTTP 状态码。 |
| code | int | 响应代码(0 表示成功)。 |
| message | str | 响应消息。 |
| data | array | 资产负债表数据列表。 |
| currency | str | 货币单位。 |
| end_date | str | 报告期结束日期(YYYY-MM-DD)。 |
| symbol | str | 股票代码。 |
| fiscal_year | str | 财年。 |
| fiscal_quarter | str | 财季。 |
| period | str | 报告周期类型。 |
| filling_date | str | 填报日期(YYYY-MM-DD)。 |
| current_assets | object | 流动资产。 |
| cash_and_cash_equivalents | number | 现金及现金等价物。 |
| restricted_cash_and_cash_equivalents | number | 受限制现金及现金等价物。 |
| inventories | number | 存货。 |
| accounts_receivable | number | 应收账款。 |
| financial_investments_at_fair_value_through_profit_or_loss_current | number | 以公允价值计量且其变动计入当期损益的金融投资(流动)。 |
| financial_investments_at_fair_value_through_other_comprehensive_income_current | number | 以公允价值计量且其变动计入其他综合收益的金融投资(流动)。 |
| prepayments_deposits_other_receivables_current | number | 预付款项、押金及其他应收款项(流动)。 |
| total_current_assets | number | 流动资产总额。 |
| non_current_assets | object | 非流动资产。 |
| time_deposits_non_current | number | 定期存款(非流动)。 |
| property_plant_and_equipment | number | 物业、厂房及设备。 |
| land_use_rights | number | 土地使用权。 |
| right_of_use_asset | number | 使用权资产。 |
| construction_in_progress | number | 在建工程。 |
| investment_property | number | 投资性房地产。 |
| interests_in_associates_and_joint_ventures | number | 联营及合营企业权益。 |
| investments_in_associates | number | 联营企业投资。 |
| investments_in_joint_ventures | number | 合营企业投资。 |
| intangible_assets | number | 无形资产。 |
| deferred_tax_assets | number | 递延税项资产。 |
| financial_investments_at_fair_value_through_profit_or_loss_non_current | number | 以公允价值计量且其变动计入当期损益的金融投资(非流动)。 |
| financial_investments_at_fair_value_through_other_comprehensive_income_non_current | number | 以公允价值计量且其变动计入其他综合收益的金融投资(非流动)。 |
| prepayments_deposits_other_receivables_non_current | number | 预付款项、押金及其他应收款项(非流动)。 |
| total_non_current_assets | number | 非流动资产总额。 |
| total_assets | number | 资产总额。 |
| current_liabilities | object | 流动负债。 |
| short_term_borrowings | number | 短期借款。 |
| taxes_payable | number | 应交税费。 |
| other_tax_liabilities | number | 其他税项负债。 |
| notes_payable | number | 应付票据。 |
| accounts_payable | number | 应付账款。 |
| current_portion_of_deferred_income | number | 递延收入流动部分。 |
| lease_liabilities_current | number | 租赁负债(流动)。 |
| receipts_in_advance_deposits_received_accrued_expenses_other_payables_and_other_liabilities_current | number | 预收款项、已收押金、应计费用、其他应付款项及其他负债(流动)。 |
| total_current_liabilities | number | 流动负债总额。 |
| non_current_liabilities | object | 非流动负债。 |
| long_term_borrowings | number | 长期借款。 |
| deferred_tax_liabilities | number | 递延税项负债。 |
| deferred_income_non_current | number | 递延收入(非流动)。 |
| lease_liabilities_non_current | number | 租赁负债(非流动)。 |
| total_non_current_liabilities | number | 非流动负债总额。 |
| total_liabilities | number | 负债总额。 |
| owners_equity | object | 所有者权益。 |
| share_premium | number | 股本溢价。 |
| treasury_shares | number | 库存股。 |
| other_reserve | number | 其他储备。 |
| retained_earnings | number | 留存收益。 |
| shares_held_for_share_award_scheme | number | 为股份奖励计划持有的股份。 |
| total_equity_attributable_to_shareholders_and_other_equity_holders | number | 归属股东及其他权益持有人权益总额。 |
| total_equity_attributable_to_ordinary_shareholders | number | 归属普通股股东权益总额。 |
| non_controlling_interests | number | 非控股权益。 |
| total_shareholders_equity | number | 股东权益总额。 |
请求示例
cURLcurl -X POST https://api.reportify.cn/v1/stock/company-balance-sheet \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
"symbol": "00700",
"limit": 2
}'
import requests
url = "https://api.reportify.cn/v1/stock/company-balance-sheet"
headers = {
"Authorization": "Bearer 447460****09c9",
"Content-Type": "application/json"
}
data = {
"symbol": "00700",
"limit": 2
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
响应示例
{
"status": 200,
"code": 0,
"message": "",
"data": [
{
"currency": "CNY",
"end_date": "2025-09-30",
"symbol": "00700",
"fiscal_year": "2025",
"fiscal_quarter": "Q3",
"period": "quarterly",
"filling_date": "2025-11-13",
"current_assets": {
"cash_and_cash_equivalents": 386128000000.0,
"restricted_cash_and_cash_equivalents": 3579000000.0,
"inventories": 550000000.0,
"accounts_receivable": 52357000000.0,
"financial_investments_at_fair_value_through_profit_or_loss_current": 23742000000.0,
"financial_investments_at_fair_value_through_other_comprehensive_income_current": 8256000000.0,
"prepayments_deposits_other_receivables_current": 103016000000.0,
"total_current_assets": 582153000000.0
},
"non_current_assets": {
"time_deposits_non_current": 78685000000.0,
"property_plant_and_equipment": 140463000000.0,
"land_use_rights": 22489000000.0,
"right_of_use_asset": 16680000000.0,
"construction_in_progress": 9542000000.0,
"investment_property": 955000000.0,
"interests_in_associates_and_joint_ventures": 327986000000.0,
"investments_in_associates": 321278000000.0,
"investments_in_joint_ventures": 6708000000.0,
"intangible_assets": 212459000000.0,
"deferred_tax_assets": 29943000000.0,
"financial_investments_at_fair_value_through_profit_or_loss_non_current": 208447000000.0,
"financial_investments_at_fair_value_through_other_comprehensive_income_non_current": 417503000000.0,
"prepayments_deposits_other_receivables_non_current": 24556000000.0,
"total_non_current_assets": 1491119000000.0,
"total_assets": 2073272000000.0
},
"current_liabilities": {
"short_term_borrowings": 52193000000.0,
"taxes_payable": 17222000000.0,
"other_tax_liabilities": 4601000000.0,
"notes_payable": 10655000000.0,
"accounts_payable": 128749000000.0,
"current_portion_of_deferred_income": 122039000000.0,
"lease_liabilities_current": 5300000000.0,
"receipts_in_advance_deposits_received_accrued_expenses_other_payables_and_other_liabilities_current": 83354000000.0,
"total_current_liabilities": 429234000000.0
},
"non_current_liabilities": {
"long_term_borrowings": 200696000000.0,
"deferred_tax_liabilities": 21416000000.0,
"deferred_income_non_current": 3852000000.0,
"lease_liabilities_non_current": 13069000000.0,
"total_non_current_liabilities": 383523000000.0,
"total_liabilities": 812757000000.0
},
"owners_equity": {
"share_premium": 57750000000.0,
"treasury_shares": 2514000000.0,
"other_reserve": 158719000000.0,
"retained_earnings": 965307000000.0,
"shares_held_for_share_award_scheme": -7182000000.0,
"total_equity_attributable_to_shareholders_and_other_equity_holders": 1172080000000.0,
"total_equity_attributable_to_ordinary_shareholders": 1172080000000.0,
"non_controlling_interests": 88435000000.0,
"total_shareholders_equity": 1260515000000.0
}
}
]
}
错误响应
| 状态码 | 描述 |
|---|---|
| 422 | 请求参数验证失败。 |
Authorizations
Enter your Bearer token
Body
application/json
Input schema for company balance sheet
Stock symbol
Report cycle: 'annual', 'quarterly'
Return latest N records, default 8
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
'calendar' or 'fiscal', default 'fiscal'
Specific fiscal year (e.g., '2023')
Specific fiscal quarter (Q1, Q2, Q3, Q4, FY)
⌘I
